<div class="shadow-box">
  <%= simple_form_for @authority, html: { class: "row mt-4"} do |f| %>
    <%= f.error_notification %>
    <div class="col-md-3">
      <%= f.input :name, label: "NAME", input_html: { class: "form-control form-flied" } %>
    </div>
    <div class="col-md-3">
      <%= f.input :designation_id, label: "DESIGNATION", collection: designation_collection, input_html: {class: "form-control form-flied"} %>
    </div>
    <div class="col-md-3 bog-div">
      <%= f.input :email, label: "EMAIL", input_html: {class: "form-control form-flied"} %>
    </div>
    <div class="col-md-3 bog-div">
      <%= f.input :contact_number, label: "CONTACT NUMBER", input_html: {class: "form-control form-flied"} %>
    </div>
    <div class="col-md-3 chancellor-div">
      <div class="chancellor-div">
        <%= f.input :qualification, label: "QUALIFICATION", input_html: {class: "form-control form-flied"} %>
      </div>
    </div>
    <div class="col-md-3 chancellor-div">
      <%= f.input :date_of_appointment, label: "DATE OF APPOINTMENT", input_html: {class: "form-control form-flied datepicker"} %>
    </div>
    <div class="col-md-3 upload-div">
      <%= f.input :upload_list, label: "UPLOAD LIST", as: :file, input_html: { class: "form-control form-flied mgrn-left-10" } %>
    </div>
    <div class="form-actions">
      <%= f.button :submit, "SAVE",class: "btn btn-primary btn-blue" %>
    </div>
  <% end %>
</div>

<script type="text/javascript">
  $(document).ready(function(){
    $('.datepicker').datepicker({
      autoclose: true
    });
    
    var designation = $(this).find('option:selected').text();
    if (designation == "Chancellor") {
      $('.bog-div').show();
      $('.chancellor-div').hide();
      $('.upload-div').hide();
    }else if ((designation == "BoG’s") || (designation == "Academic Council Member")) {
      $('.bog-div').hide();
      $('.chancellor-div').hide();
      $('.upload-div').show();
    }else{
      $('.bog-div').show();
      $('.chancellor-div').show();
      $('.upload-div').hide();
    }
  });

  $('#authority_designation_id').on('change', function(){
    var designation = $(this).find('option:selected').text();
    if (designation == "Chancellor") {
      $('.bog-div').show();
      $('.chancellor-div').hide();
      $('.upload-div').hide();
    }else if ((designation == "BoG’s") || (designation == "Academic Council Member")) {
      $('.bog-div').hide();
      $('.chancellor-div').hide();
      $('.upload-div').show();
    }else{
      $('.bog-div').show();
      $('.chancellor-div').show();
      $('.upload-div').hide();
    }
  });
</script>